import request from '@/utils/request'

// 查询检查手册定义列表
export function listRule(query) {
  return request({
    url: '/system/rule/list',
    method: 'get',
    params: query
  })
}

// 查询检查手册定义详细
export function getRule(id) {
  return request({
    url: '/system/rule/' + id,
    method: 'get'
  })
}

// 新增检查手册定义

export function addRule(data) {
  return request({
    url: '/system/rule',
    method: 'post',
    data: data
  })
}

// 修改检查手册定义

export function updateRule(data) {
  return request({
    url: '/system/rule',
    method: 'put',
    data: data
  })
}

// 删除检查手册定义

export function delRule(id) {
  return request({
    url: '/system/rule/' + id,
    method: 'delete'
  })
}
